# IntelliMaint - Predictive Diagnostics and Prognostics Application Development Python Package for Engineering Systems
IntelliMaint library offers an integrated set of functions written in Python that aids in predictive health diagnostics. The library includes various state-of-the-art algorithms that are accessible by users with simple APIs. Thus the library accelerates the analysis and the development phase for even the novice users. Most of the APIs are provided with intuitive visualizations that guide in choosing the apt algorithm for a system component. Each block in the library is built as an independent module thus used as a plug and play module. The expert users are provided with a provision to add new algorithms for specific use cases.


![image](https://github.com/bkramesh64/intellimaint-0.2/assets/29832933/38402759-d569-4410-b51f-36eb8b043785)


## Installing the package

**Clone the repository**

$ git clone https://github.com/bkramesh64/inteliMaint.git

$ cd inteliMaint

## Install the package using python

$ python setup.py install

## Installation with pip
$ pip install IntelliMaint

## Repository Directory Structure
Here is the directory structure for the github repository

- `IntelliMaint/` - The python package files <br />
- `examples/` - Example Python scripts using IntelliMaint <br />
- `README.md` - The readme (this file) <br />
- `setup.py` - Contains all metadata about this package <br />
- `.gitignore` - The gitignore file for this package to exclude uneccesary files t be pushed to the repository <br />
